linux下cognos10.2.1通过jdbc方式如何连接GP数据库?

系统版本centos7.6
cognos10.2.1
用jdbc的方式通过postgresq-jdbcl驱动去访问GP数据库,总是报版本不支持,驱动放在了webapps/p2pd/WEB-INF/lib下和v5dataserver/lib/下,本地的framework manager安装目录webapps/p2pd/WEB-INF/lib也放了驱动

数据库版本,对应的postgresql版本2602rbsttrj

驱动版本
j2w34749fg

报错信息
yxa63pa66cn

数据库可以连到,表字段都可以出来,就是不能执行查询

1回答

左右左右  咨询专家 , ex-IBM
yinxin赞同了此回答
GP是支持的,但是仅仅https://www.ibm.com/software/reports/compatibility/clarity-reports/report/html/prereqsForProduct?deliverableId=1330380859450#! 显示全部

GP是支持的,但是仅仅
https://www.ibm.com/software/reports/compatibility/clarity-reports/report/html/prereqsForProduct?deliverableId=1330380859450#!

l2flsymtwun

收起
 2019-05-09
  • 但是我测试的环境是可以的,就生产的环境不行的,同样的驱动,只是greenplum数据库的版本不同,生产是Greenplum Database 4.3.9.0 build 1的,测试是Greenplum Database 4.3.20.0 build 1,但是postgresql都是8.2.15的,我用的postgresql的驱动都是9.4的
    2019-05-09
  • 左右  左右 回复 duyawen
    你专门装一下GP的驱动 GP我是亲手链通过多次 从来没有碰见问题 特别是驱动上的问题
    2019-05-09
  • 主要是公司cognos的版本没有那么高,C8BISRVR_version=C8BISRVR-LX64-ML-RTM-10.2.5000.275-0,不能直接支持greenplum,只能通过postgresql的方式去连接,而不是直接的用greenplum的jdbc驱动去连接的,在类型哪里就没有greenplum的选项,只有postgresql的选项
    2019-05-09
  • 左右  左右 回复 duyawen
    无解了 建议甲方升级吧
    2019-05-09
  • duyawen  duyawen 回复 左右
    linux cognos怎么通过ODBC的方式连接greenplum
    2019-05-13

提问者

duyawen其它, 上海邮乐
相关推广
  • P5/P6/P7升级到P9的技术分析手册
    目前在Power服务器的装机企业中,还有很多企业仍然在使用前几代的产品,比如:P5/P6/P7服务器等。这些服务器中,有的已经停产多年、已经没有服务支持,有的虽然目前没有停产、但也已经很快要停产了。所以本文档针对这些装机客户,从技术角度分析了:是继续使用老机器?还是迁移到新的机器上去?如何迁移?迁移过程中会有哪些可能遇到的问题?该如何应对等典型问题。
  • 众多金融信息化专家首选的“多云”究竟是什么?如何布局企业云化路线?
    本文从多云的发展趋势、多云给用户带来的收益、带来的挑战以及如何应对等几个方面阐述了自己的观点,并分享部分金融行业先行者的实践案例,希望能够为准备考虑进行多云化探索和实践的读者带来有益的参考和借鉴。
  • 问题状态

  • 发布时间:2019-05-09
  • 关注会员:2 人
  • 问题浏览:978
  • 最近回答:2019-05-09
  • 关于TWT  使用指南  社区专家合作  厂商入驻社区  企业招聘  投诉建议  版权与免责声明  联系我们
    © 2019  talkwithtrend — talk with trend,talk with technologist 京ICP备09031017号-30